Subject: Re: [GUILT] add FreeBSD support

From: Zheng Liu <[email-masked]>
Date: Wed, 21 Aug 2013 10:04:56 +0800

On Tue, Aug 20, 2013 at 11:25:48AM -0400, Josef 'Jeff' Sipek wrote:
> On Tue, Aug 20, 2013 at 03:44:16PM +0800, Zheng Liu wrote:
> > Hi Josef,
> > 
> > On Fri, Aug 09, 2013 at 11:20:46AM -0400, Josef 'Jeff' Sipek wrote:
> > > On Fri, Aug 09, 2013 at 11:04:45PM +0800, gnehzuil.liu wrote:
> > > > ?? 2013-8-9??????10:46??Josef 'Jeff' Sipek <[email-masked]> д????
> > > > 
> > > > > On Fri, Aug 09, 2013 at 08:32:28PM +0800, Zheng Liu wrote:
> > > > >> From: Zheng Liu <[email-masked]>
> > > > >> 
> > > > >> Currently guilt doesn't support FreeBSD platform.  This commit tries to
> > > > >> add this support.  The file called 'os.FreeBSD' is copied from os.Darwin
> > > > >> due to these two platforms have almost the same command tools.
> > > > > 
> > > > > Out of curiosity, is it identical?  I eyeballed it, and they do look
> > > > > identical.  There's probably a better way to do this whole os-specific
> > > > > thing, but this will work well enough for now.
> > > > 
> > > > Yes, it is identical.  Sorry, I am a newbie for guilt, but I am happy to
> > > > improve this os-specific thing.    Any idea?
> > > 
> > > So, I'm a bit torn between some "build-time" checking that generates
> > > something like an "os" file based on what it detects and something that
> > > happens at runtime.  I like that currently there's nothing to do - you just
> > > clone the repo and you're set.  At the same time, the more code can be
> > > avoided executing the faster (in theory) guilt gets.
> > 
> > Sorry for the late reply.  I did a simple experiment that tries to fold
> > all os.* files into one file and uses a if statement to export functions
> > according to different platforms.  But frankly I don't like this because
> > it is not very clearly.  So IMHO we'd better add a 'os.FreeBSD' file to
> > support FreeBSD platform.
> 
> Yeah, sounds like the simplest (at least for the moment).  I'll commit it.
> Thanks.
> 
> FWIW, the idea I was thinking about was to make "make all" figure out
> various parts of the system and construct an os file.

Yes, I thought this.  We can create a os.in file and generate a os file
after running "make" command.  But currently os.* looks like the
simplest solution.

Regards,
                                                - Zheng